POST/demandshop

Create Demand Shop

Create demand shop

Implementation Notes

This API call creates templates that help the user to call all mandatory parameters (shopName, horizon, and startDate along with either of the permuted parameters listed below) that are used to filter the hotel demand dataset. Once defined, it can be called as and when required or even be linked to a Schedule.

Search Criteria - Permuted Parameters:

  • hotelCode, shopName, horizon, and startDate
  • city, shopName, horizon``, and startDate`
  • country, shopName, horizon, and startDate
  • city and country, shopName, horizon, and startDate

Parameter Details:

  • shopName: Your custom name for the demandShopId.

  • horizon: How many consecutive days from the call date to retrieve data for (days out). The maximum value for the horizon is 365.

  • startDate: Start date for the data retrieval.
    Format: "2021-10-02"

  • estimatedAttendee - Attendee count range or value.
    Format:

    • Range value - 100-500
    • Min value - <500
    • Max value - >500
    • Exact value - 500
  • category - A string containing category codes. It can be a number, a range, or both separated by commas.
    Example: { "category": "2,4-5" }

  • subCategory - A string containing subCategory codes. It can be a number, a range, or both separated by commas.
    Example: { "subCategory": "2,7,10-15" }

Mandatory Fields:

  • shopName
  • horizon
  • startDate

Example 1:


{ "shopName": "Music Festival Shop", "city": "Surampalem", "country": "Romania", "startDate": "2026-04-01", "horizon": 365, "hotelCode": 1, "estimatedAttendee": ">1000", "category": "2,4", "subCategory": "1,7,10-15" }

POST/demandshop

Parameter Details

NameInTypeRequiredDescription
bodybodyobjectRequirednone
» shopNamebodystringOptionalnone
» hotelCodebodyintegerOptionalnone
» citybodystringOptionalnone
» countrybodystringOptionalnone
» startDatebodystring(date)Optionalnone
» horizonbodyintegerOptionalnone
» estimatedAttendeebodystringOptionalnone
» categorybodystringOptionalnone
» subCategorybodystringOptionalnone

Responses

StatusMeaningDescriptionSchema
201CreatedCreated
400Bad RequestBad RequestNone
401UnauthorizedUnauthorizedNone
429Too Many RequestsToo Many RequestsNone
500Internal Server ErrorInternal Server ErrorNone

Example Request

# You can also use wget
curl -X POST https://api.events.example.com/api/v1/demandshop \
  -H 'Content-Type: application/json' \
  -H 'Accept: application/json' \
  -H 'Authorization: Bearer {access-token}'

Example responses

201 Response
{
"shopName": "Music Festival Shop",
"city": "Surampalem",
"country": "Romania",
"startDate": "2026-04-01",
"horizon": 365,
"hotelCode": 1,
"estimatedAttendee": ">1000",
"category": "2,4",
"subCategory": "1,7,10-15"
}

Body parameter

{
  "shopName": "",
  "hotelCode": 0,
  "city": "",
  "country": "",
  "startDate": "2019-08-24",
  "horizon": 0,
  "estimatedAttendee": "",
  "category": "0",
  "subCategory": "0"
}

Example responses

201 Response
{
  "message": "Hotel demand shop created successfully",
  "demandShopId": 36418
}

Need Support?

Our team is here to help you integrate and make the most of our APIs. Get in touch for technical support, custom solutions, or any questions.